# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
BuildRequires: libnsl2-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	 Net-NIS
%define upstream_version 0.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt6_23

Summary:    NIS interface to Perl 5	
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl-devel
BuildRequires: pkgconfig(libnsl)
BuildRequires: pkgconfig(libtirpc)
Source44: import.info

%description
This is a snapshot release of the NIS interface to Perl 5.  There are
three parts to the interface: the raw component (Net::NIS), the object-
oriented component (Net::NIS::Table), and the tied interface (Net::NIS).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor 
%make_build OPTIMIZE="%{optflags} -I/usr/include/nsl -I/usr/include/tirpc"
# (sb) known to fail:
#  http://nntp.x.perl.org/group/perl.cpan.testers/58036 (and more)
#make test

%install
%makeinstall_std 

%files
%doc Changes META.json META.yml  NIS README
%{perl_vendor_archlib}/Net
%{perl_vendor_archlib}/auto/Net


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 0.44-alt6_23
- update by mgaimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0.44-alt6_22
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.44-alt5_22
- update by mgaimport

* Sun Apr 17 2022 Igor Vlasenko <viy@altlinux.org> 0.44-alt5_21
- update

* Mon Jun 28 2021 Igor Vlasenko <viy@altlinux.org> 0.44-alt5_20
- fixed build

* Mon Nov 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.44-alt5_17
- mga update

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 0.44-alt5_14
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.44-alt4_14
- rebuild with perl 5.30

* Tue Mar 05 2019 Igor Vlasenko <viy@altlinux.ru> 0.44-alt3_14
- mga update

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.44-alt3_13
- rebuild to get rid of unmets

* Tue Sep 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.44-alt2_13
- fixed build

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.44-alt2_12
- rebuild with perl 5.26

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1_12
- update by mgaimport

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1_11
- update by mgaimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1_10
- update by mgaimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.44-alt5_9
- rebuild to get rid of unmets

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.44-alt4_9
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.44-alt4_8
- update by mgaimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 0.44-alt4_7
- rebuild to get rid of unmets

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.44-alt3_7
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.44-alt3_5
- update by mgaimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.44-alt3_3
- rebuild to get rid of unmets

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.44-alt2_3
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.44-alt2_2
- rebuild to get rid of unmets

* Tue Jun 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1_2
- update by mgaimport

* Mon Mar 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1_1
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.43-alt2_7
- mga update

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 0.43-alt2_6
- rebuild with new perl

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.43-alt1_6
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.43-alt1_4
- converted for ALT Linux by srpmconvert tools

